Subject: Re: FTP Mirrors (was Re: [pgsql-advocacy] Rewriting the website)

From: Robert Treat <[email-masked]>
Date: Thu, 15 Jan 2004 01:19:58 -0500

couple of quick items: s/mail/main/  right?
and let's CC in the web group so they know what were talking about eh? (and 
further reponses could probably trim -advocacy)

ok... so how much stuff will it break if we change the layout? I'm thinking 
there are places where we may be pointing directly into the ftp sites that 
might need the urls changed... anyone want to do some looking?

Dave, would we have to update all the mirror sites directory layouts in the 
mirror system?

Robert Treat

On Wednesday 14 January 2004 19:07, Marc G. Fournier wrote:
> I have nothing against making that change on the mail server, should have
> thought of that long ago, but, then again, nobody else has either ...
>
> This is going to involve a massive update on all the mirrors, since
> effectively everything will be moving at once ... is this something
> everyone agrees should happen, before I do it?
>
> On Wed, 14 Jan 2004, Ricardo Ryoiti S. Junior wrote:
> > 	Hi,
> >
> > On Wed, 14 Jan 2004, Peter Eisentraut wrote:
> > > I think the directory structure should mirror exactly
> > > ftp.postgresql.org, so I can go to ftp.xx.postgresql.org and find the
> > > same things in the same places.  If someone wants to mirror with
> > > arbitrary directory structure, they can do that, but since you're going
> > > to have to go through the web page anyway they don't have to carry the
> > > postgresql.org domain at all.
> > >
> > > Right now, virtually no mirrors follow that rule.  Is it so hard to set
> > > up virtual hosts on ftp servers?
> >
> > 	Regardless of virtualhosts, I think that ftp.postgresql.org's own
> > FTP server should be structured like /pub/PostgreSQL/v7.4.1... That's how
> > our mirror is setup and I believe that's the cleanest way to have more
> > than one mirror in the same server. This is also a good practice, since
> > not all (including ours) ftp daemons support virtual hosts.
> >
> > 	If we had all directories directly after /pub, there would be more
> > than 30 subdirectories, all mixed up: NetBSD, PostgreSQL, etc. Thus,
> > setting our mirror just like PostgreSQL's, without virtualhost, would be
> > very confusing for our clients.
> >
> > 	I agree that every mirror should use the same directory structure,
> > but asking everyone to place everything directly after /pub or setting up
> > virtualhosts doesn't seem to be plausible, mainly because there're a lot
> > of mirrors out there.
> >
> > 	So I think that the easiest (and cleanest) way is to change
> > postgresql's ftp to /pub/postgresql, asking new and current mirrors to
> > adopt that approach. It's much easier than asking for virtualhosts.  Not
> > just because I wouldn't have to change my setup :) but also because many
> > projects with mirrors do that successfully.
> > 	Or, at least a /pub/postgresql link to the actual mirror directory
> > could be used...
> >
> > 	[]s
> > 	Ricardo.
>
> ----
> Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
> Email: [email-masked]           Yahoo!: yscrappy              ICQ: 7615664

-- 
Build A Brighter Lamp :: Linux Apache {middleware} PostgreSQL